Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::POA::NoServant Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::POA::NoServant:

[legend]
Collaboration diagram for PortableServer::POA::NoServant:

[legend]
List of all members.

## Public Methods
| NoServant (void)
| NoServant (const NoServant &)
| ~NoServant (void)
NoServant & | operator= (const NoServant &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
NoServant * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

PortableServer::POA::NoServant::NoServant | ( | void |  | ) |

PortableServer::POA::NoServant::NoServant | ( | const NoServant & |  | ) |

PortableServer::POA::NoServant::~NoServant | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * PortableServer::POA::NoServant::_alloc | ( | void |  | ) | `[static]`

PortableServer::POA::NoServant * PortableServer::POA::NoServant::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| Reimplemented from CORBA::UserException.

void PortableServer::POA::NoServant::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void PortableServer::POA::NoServant::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Exception.

void PortableServer::POA::NoServant::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * PortableServer::POA::NoServant::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Implements CORBA::Exception.

void PortableServer::POA::NoServant::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr PortableServer::POA::NoServant::_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Exception.

NoServant& PortableServer::POA::NoServant::operator= | ( | const NoServant & |  | ) |

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp